Subject: Re: bug#37492: GUIXSD 1.0.1 install error

From: RAUL H C LOPES <[email-masked]>
Date: Thu, 3 Oct 2019 22:46:48 +0100

On 29/09/2019 13:00, Marius Bakke wrote:
> RAUL H C LOPES <[email-masked]> writes:
>
>> Hi Marius,
>>
>> I've managed to install GuixSD by chossing  msdos instead of gpt.
>> Coincidence? Is the gpt setup tested?
> Can you share the steps required to reproduce the error?

I don't have logs for the crash. Unfortuately, my first time with GuixSD 
and  I just went along with Graphic install. How could I have collected 
them?

Anyway, my memory log:

# install 0:

  Home in separate partition, both encrypted; gpt label.

  That's error I submitted.

# install 1

  one partition, encrypted; gpt label.

  a crash during package install.

# install 2

Guided partioning, no encryption, gpt label.

Same sort of crash at another point.

The crashes happened at different packages. I assumed it was something 
related with disk I/O.

# install 3

Guided one partition, no encryption, label msdos.

It worked fine.

I am doing a new install tomorrow on a Supermicro SYS-E2000-8D. It has 2 
10G NIcs. I hope Guix has got the drivers.

>
>> I've running the system for a few days.
>>
>> I need now a good manual> I'm suffering for:
>>    - reconfigure stuff that is usually in /etc, like /etc/ssh/sshd_config;
> There is a good up-to-date manual here:
> <https://guix.gnu.org/manual/devel>.  Search for 'openssh-configuration'
> for examples on how to configure the SSH daemon.
>
>>    - running a make on an open source project who looks for linux libs
>> where debian would find them.
> Typically you would do something like `guix environment --ad-hoc
> gcc-toolchain make` to enter a shell environment where all the
> dependencies of the program you want to build are present.

Great! thanks for the link and hint on gcc